--
-- Patch DML de GRHUM du 16/04/2012 à exécuter depuis le user GRHUM
--
-- Rem : fichier encodé UTF-8

SET DEFINE OFF;

--
--
-- Fichier : 2
-- Type : DML
-- Schema : GRHUM
-- Numero de version : 1.7.1.7
-- Date de publication : 16/04/2012
-- Auteur(s) : Cocktail
-- Licence : CeCILL version 2
--
--

WHENEVER SQLERROR EXIT SQL.SQLCODE;


--
-- DB_VERSION
--
INSERT INTO GRHUM.DB_VERSION VALUES(GRHUM.DB_VERSION_SEQ.NEXTVAL, '1.7.1.7', TO_DATE('16/04/2012', 'DD/MM/YYYY'),NULL,'Mise à jour des nomenclatures TYPE_ACCES, PAYS, DISC_SECOND_DEGRE, PASSAGE_ECHELON, procédures Echanger_Personne_Mangue, Maj_Groupes_Workflow');



--
-- TYPE_ACCES
--
insert into grhum.type_acces(C_TYPE_ACCES, LL_TYPE_ACCES, LC_TYPE_ACCES, TEM_PROMOTION, TYPE_PROMOTION, TEM_RECLASSEMENT, TEM_INTEGRATION, TEM_ANC_EQUIV, D_OUVERTURE, D_FERMETURE, D_CREATION, D_MODIFICATION, TEM_ARRIVEE)
values('65','RECRUTEMENT PAR LE PACTE','PACTE','O',null,'N','N','N',null,null,sysdate,sysdate,'O');



--
-- TYPE_ABSENCES
--
UPDATE GRHUM.TYPE_ABSENCE SET CONGE_LEGAL='N', D_MODIFICATION=SYSDATE WHERE C_TYPE_ABSENCE='CRCT';



--
-- BAC
--
update GRHUM.BAC set bac_libelle = 'VALIDATION D''ETUDES, D''EXPERIENCES PROFESSIONNELLES, D''ACQUIS PERSONNELS', d_modification=SYSDATE where bac_code = '0036';



--
-- PAYS
--
insert into grhum.pays(C_PAYS, LL_PAYS, LC_PAYS, L_NATIONALITE, D_DEB_VAL, D_CREATION, D_MODIFICATION, CODE_ISO, L_EDITION, LL_PAYS_EN, ISO_3166_3)
values('517','REPUBLIQUE DES ILES PALAOS','PALAOSIEN(NE)','PALUANE',to_date('01/01/1994','DD/MM/YYYY'),SYSDATE,SYSDATE,'pw','République des iles Palaos','Republic of Palau','PLW');
update grhum.pays set ISO_3166_3='ARG', d_modification=sysdate where c_pays='415';


--
-- DISC_SECOND_DEGRE
--
Insert into GRHUM.DISC_SECOND_DEGRE(C_DISC_SECOND_DEGRE, LC_DISC_SECOND_DEGRE, LL_DISC_SECOND_DEGRE, D_DEB_VAL, D_CREATION, D_MODIFICATION)
 Values('4299', 'AUTRE', 'AUTRE ', TO_DATE('01/01/1900','DD/MM/YYYY'), SYSDATE, SYSDATE); 
Insert into GRHUM.DISC_SECOND_DEGRE(C_DISC_SECOND_DEGRE, LC_DISC_SECOND_DEGRE, LL_DISC_SECOND_DEGRE, D_DEB_VAL, D_CREATION, D_MODIFICATION)
 Values('6641', 'TAPIS GARN', 'TAPISSERIE GARNITURE DECOR', TO_DATE('01/01/1900','DD/MM/YYYY'), SYSDATE, SYSDATE);
Insert into GRHUM.DISC_SECOND_DEGRE (C_DISC_SECOND_DEGRE, LC_DISC_SECOND_DEGRE, LL_DISC_SECOND_DEGRE, D_DEB_VAL, D_CREATION, D_MODIFICATION)
 Values('2079', 'AUTRE', 'AUTRE ', TO_DATE('01/01/1900','DD/MM/YYYY'), SYSDATE, SYSDATE);
Insert into GRHUM.DISC_SECOND_DEGRE(C_DISC_SECOND_DEGRE, LC_DISC_SECOND_DEGRE, LL_DISC_SECOND_DEGRE, D_DEB_VAL, D_CREATION, D_MODIFICATION)
 Values('8020', 'AUDIOVIS', 'AUDIOVISUEL', TO_DATE('01/01/1900','DD/MM/YYYY'), SYSDATE, SYSDATE);
Insert into GRHUM.DISC_SECOND_DEGRE(C_DISC_SECOND_DEGRE, LC_DISC_SECOND_DEGRE, LL_DISC_SECOND_DEGRE, D_DEB_VAL, D_CREATION, D_MODIFICATION)
 Values('0466', 'LET ESP', 'LETTRES ESPAGNOL', TO_DATE('01/01/1900','DD/MM/YYYY'), SYSDATE, SYSDATE);
Insert into GRHUM.DISC_SECOND_DEGRE(C_DISC_SECOND_DEGRE, LC_DISC_SECOND_DEGRE, LL_DISC_SECOND_DEGRE, D_DEB_VAL, D_CREATION, D_MODIFICATION)
 Values('0469', 'LET ITAL', 'LETTRES ITALIEN', TO_DATE('01/01/1900','DD/MM/YYYY'), SYSDATE, SYSDATE);
Insert into GRHUM.DISC_SECOND_DEGRE(C_DISC_SECOND_DEGRE, LC_DISC_SECOND_DEGRE, LL_DISC_SECOND_DEGRE, D_DEB_VAL, D_CREATION, D_MODIFICATION)
 Values('0471', 'LET ALLEM', 'LETTRES ALLEMAND', TO_DATE('01/01/1900','DD/MM/YYYY'), SYSDATE, SYSDATE);
Insert into GRHUM.DISC_SECOND_DEGRE(C_DISC_SECOND_DEGRE, LC_DISC_SECOND_DEGRE, LL_DISC_SECOND_DEGRE, D_DEB_VAL, D_CREATION, D_MODIFICATION)
 Values('0483', 'LET ARABE', 'LETTRES ARABE', TO_DATE('01/01/1900','DD/MM/YYYY'), SYSDATE, SYSDATE);
Insert into GRHUM.DISC_SECOND_DEGRE(C_DISC_SECOND_DEGRE, LC_DISC_SECOND_DEGRE, LL_DISC_SECOND_DEGRE, D_DEB_VAL, D_CREATION, D_MODIFICATION)
 Values('0610', 'BRAILLE', 'BRAILLE', TO_DATE('01/01/1900','DD/MM/YYYY'), SYSDATE, SYSDATE);

 
 
--
-- INDICE
--
update grhum.indice set d_majoration=to_date('01/11/2006','dd/mm/yyyy'), d_modification=sysdate where c_indice_brut='298' and to_char(d_majoration,'dd/mm/yyyy')='01/01/1900';


 
--
-- CORPS
--
update grhum.corps set c_type_corps='AA', d_fermeture_corps=null, d_modification=sysdate where c_corps='203';



--
-- GRADE
--
-- ADMINISTRATEUR CIVIL
update grhum.grade set d_fermeture=null, d_modification=sysdate where c_grade='2033';
update grhum.grade set d_ouverture=to_date('28/04/2002','dd/mm/yyyy'), d_modification=sysdate where c_grade='2034';



--
-- PASSAGE_ECHELON
--
-- PROFESSEUR CERTIFIE CLASSE NORMALE
update grhum.passage_echelon set d_fermeture=to_date('31/01/2012','DD/MM/YYYY'),d_modification=sysdate where c_grade='5531' and c_echelon in('03','04','05') and d_fermeture is null;
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL) Values('5531', '03', '501', SYSDATE, SYSDATE, TO_DATE('01/02/2012', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL) Values('5531', '04', '518', SYSDATE, SYSDATE, TO_DATE('01/02/2012', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL) Values('5531', '05', '539', SYSDATE, SYSDATE, TO_DATE('01/02/2012', 'DD/MM/YYYY'), 'N');

-- PROFESSEUR D'EPS CLASSE NORMALE
update grhum.passage_echelon set d_fermeture=to_date('31/01/2012','DD/MM/YYYY'),d_modification=sysdate where c_grade='5311' and c_echelon in('03','04','05') and d_fermeture is null;
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL) Values('5311', '03', '501', SYSDATE, SYSDATE, TO_DATE('01/02/2012', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL) Values('5311', '04', '518', SYSDATE, SYSDATE, TO_DATE('01/02/2012', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL) Values('5311', '05', '539', SYSDATE, SYSDATE, TO_DATE('01/02/2012', 'DD/MM/YYYY'), 'N');

-- PROFESSEUR DES ECOLES CLASSE NORMALE
update grhum.passage_echelon set d_fermeture=to_date('31/01/2012','DD/MM/YYYY'),d_modification=sysdate where c_grade='6151' and c_echelon in('03','04','05') and d_fermeture is null;
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL) Values('6151', '03', '501', SYSDATE, SYSDATE, TO_DATE('01/02/2012', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL) Values('6151', '04', '518', SYSDATE, SYSDATE, TO_DATE('01/02/2012', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL) Values('6151', '05', '539', SYSDATE, SYSDATE, TO_DATE('01/02/2012', 'DD/MM/YYYY'), 'N');

-- ADMINISTRATEUR CIVIL
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('2034', '01', '528', 6, SYSDATE, SYSDATE, TO_DATE('28/04/2002', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('2034', '02', '588', 1, SYSDATE, SYSDATE, TO_DATE('28/04/2002', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('2034', '03', '655', 1, SYSDATE, SYSDATE, TO_DATE('28/04/2002', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('2034', '04', '701', 1, SYSDATE, SYSDATE, TO_DATE('28/04/2002', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('2034', '05', '750', 1, 6, SYSDATE, SYSDATE, TO_DATE('28/04/2002', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('2034', '06', '801', 2, SYSDATE, SYSDATE, TO_DATE('28/04/2002', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('2034', '07', '852', 2, SYSDATE, SYSDATE, TO_DATE('28/04/2002', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('2034', '08', '901', 2, SYSDATE, SYSDATE, TO_DATE('28/04/2002', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('2034', '09', '966', SYSDATE, SYSDATE, TO_DATE('28/04/2002', 'DD/MM/YYYY'), 'N');

-- ADMINISTRATEUR CIVIL HORS CL.
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('2033', '01', '801', 2, SYSDATE, SYSDATE, TO_DATE('01/01/1900', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('2033', '02', '852', 2, SYSDATE, SYSDATE, TO_DATE('01/01/1900', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('2033', '03', '901', 2, SYSDATE, SYSDATE, TO_DATE('01/01/1900', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('2033', '04', '966', 3, SYSDATE, SYSDATE, TO_DATE('01/01/1900', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('2033', '05', '1015', 3, SYSDATE, SYSDATE, TO_DATE('01/01/1900', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('2033', '06', SYSDATE, SYSDATE, TO_DATE('01/01/1900', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('2033', '07', SYSDATE, SYSDATE, TO_DATE('01/01/1900', 'DD/MM/YYYY'), 'N');

 
 
--
-- PASSAGE_CHEVRON
--
-- ADMINISTRATEUR CIVIL HORS CL.
insert into grhum.passage_chevron(C_GRADE, C_ECHELON, C_CHEVRON, DUREE_CHEVRON_ANNEES, D_CREATION, D_MODIFICATION, C_INDICE_BRUT, D_OUVERTURE)
 values('2033','06','A-1',1,SYSDATE,SYSDATE,'A-1',TO_DATE('01/01/1900','DD/MM/YYYY'));
insert into grhum.passage_chevron(C_GRADE, C_ECHELON, C_CHEVRON, DUREE_CHEVRON_ANNEES, D_CREATION, D_MODIFICATION, C_INDICE_BRUT, D_OUVERTURE)
 values('2033','06','A-2',1,SYSDATE,SYSDATE,'A-2',TO_DATE('01/01/1900','DD/MM/YYYY'));
insert into grhum.passage_chevron(C_GRADE, C_ECHELON, C_CHEVRON, D_CREATION, D_MODIFICATION, C_INDICE_BRUT, D_OUVERTURE)
 values('2033','06','A-3',SYSDATE,SYSDATE,'A-3',TO_DATE('01/01/1900','DD/MM/YYYY'));
insert into grhum.passage_chevron(C_GRADE, C_ECHELON, C_CHEVRON, DUREE_CHEVRON_ANNEES, D_CREATION, D_MODIFICATION, C_INDICE_BRUT, D_OUVERTURE)
 values('2033','07','B-1',1,SYSDATE,SYSDATE,'B-1',TO_DATE('01/01/1900','DD/MM/YYYY'));
insert into grhum.passage_chevron(C_GRADE, C_ECHELON, C_CHEVRON, DUREE_CHEVRON_ANNEES, D_CREATION, D_MODIFICATION, C_INDICE_BRUT, D_OUVERTURE)
 values('2033','07','B-2',1,SYSDATE,SYSDATE,'B-2',TO_DATE('01/01/1900','DD/MM/YYYY'));
insert into grhum.passage_chevron(C_GRADE, C_ECHELON, C_CHEVRON, D_CREATION, D_MODIFICATION, C_INDICE_BRUT, D_OUVERTURE)
 values('2033','07','B-3',SYSDATE,SYSDATE,'B-3',TO_DATE('01/01/1900','DD/MM/YYYY'));

 
 
--
-- Maj_Groupes_Workflow
--
-- Mise à jour des différents groupes des hébergés 
EXECUTE GRHUM.Maj_Groupes_Workflow;



--
-- COMMUNE
--
INSERT INTO GRHUM.COMMUNE(C_INSEE,LL_COM, LC_COM, C_POSTAL,C_DEP,D_CREATION, D_MODIFICATION,PARTICULARITE_COMMUNE, C_POSTAL_PRINCIPAL)
 values('35278','SAINT-GREGOIRE','SAINT-GREGOIRE','35521','035',sysdate,sysdate,'C','35760'); 




--
-- DB_VERSION
--
UPDATE GRHUM.DB_VERSION SET DBV_INSTALL=SYSDATE WHERE DBV_LIBELLE='1.7.1.7';


COMMIT;
